baneit319 发表于 2015-6-21 23:32:14

Mirror出来的图形怎么设为acadentity变量

试了一下,
dim cc=acadentity
dim dd=acadentity
mirror_Point1( 0 to 2) as double
.....................(略)
然后使用
Set dd = cc.Mirror mirror_Point1, mirror_Point2 或者set dd=cc.Mirror 都不行,

我想把镜像出来的acadentity作为变量,请问该如何写?

baneit319 发表于 2015-6-22 11:26:52

有哪位大虾,帮忙解答一下,感谢感谢!祝端午快乐!

baneit319 发表于 2015-6-22 18:25:08

在线坐等

zzyong00 发表于 2015-6-22 18:58:19

Sub Example_Mirror()
    ' This example creates a lightweight polyline
    ' and then mirrors that polyline.
   
    ' Create the polyline
    Dim plineObj As AcadLWPolyline
    Dim points(0 To 11) As Double
    points(0) = 1: points(1) = 1
    points(2) = 1: points(3) = 2
    points(4) = 2: points(5) = 2
    points(6) = 3: points(7) = 2
    points(8) = 4: points(9) = 4
    points(10) = 4: points(11) = 1
    Set plineObj = ThisDrawing.ModelSpace.AddLightWeightPolyline(points)
    plineObj.Closed = True
    ZoomAll
   
    ' Define the mirror axis
    Dim point1(0 To 2) As Double
    Dim point2(0 To 2) As Double
    point1(0) = 0: point1(1) = 4.25: point1(2) = 0
    point2(0) = 4: point2(1) = 4.25: point2(2) = 0
      
   
    ' Mirror the polyline
    Dim mirrorObj As AcadLWPolyline
    Set mirrorObj = plineObj.Mirror(point1, point2)
   
    ZoomAll
    Dim objEnt As AcadEntity
    Set objEnt = mirrorObj
    MsgBox objEnt.ObjectName
End Sub

baneit319 发表于 2015-6-22 21:49:50

zzyong00 发表于 2015-6-22 18:58 static/image/common/back.gif


感谢老大,发现基本上就老大一个人回帖
顺便请教一下,我想用 Select acSelectionSetAll, , , FilterType, FilterData 只选择模型空间的,不对布局空间进行选择,该怎么弄?谢谢!

zzyong00 发表于 2015-6-22 23:08:44

组码67        值为空或0时即指图元在模型空间,如果为1指在图形空间
页: [1]
查看完整版本: Mirror出来的图形怎么设为acadentity变量